from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XPageCursor(XInterface, Protocol):
    def jumpToFirstPage(self) -> bool: ...
    def jumpToLastPage(self) -> bool: ...
    def jumpToPage(self, nPage: int) -> bool: ...
    def getPage(self) -> int: ...
    def jumpToNextPage(self) -> bool: ...
    def jumpToPreviousPage(self) -> bool: ...
    def jumpToEndOfPage(self) -> bool: ...
    def jumpToStartOfPage(self) -> bool: ...
